> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.hopnow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Payout Destination

> Add a bank account or wallet as a payout destination for a beneficiary

## Path Parameters

<ParamField path="account_id" type="string" required>
  The account's external ID (starts with `acct_`)
</ParamField>

<ParamField path="beneficiary_id" type="string" required>
  The beneficiary's external ID (starts with `bene_`)
</ParamField>

## Request Body

<ParamField body="country" type="string" required>
  Payout country code (ISO 3166-1 alpha-2)
</ParamField>

<ParamField body="type" type="string" required>
  Destination type: `bank_account`, `wallet`, or `card`
</ParamField>

<ParamField body="currency" type="string" required>
  Currency for payouts (ISO 4217 code)
</ParamField>

<ParamField body="label" type="string">
  Custom label for this destination
</ParamField>

<ParamField body="network" type="string">
  Blockchain network (required for crypto destinations, e.g., ethereum, bitcoin)
</ParamField>

### Bank Account Fields

<ParamField body="account_number" type="string">
  Bank account number
</ParamField>

<ParamField body="account_name" type="string">
  Bank account name
</ParamField>

<ParamField body="routing_number" type="string">
  Bank routing number
</ParamField>

<ParamField body="account_type" type="string">
  Account type: `checking` or `savings`
</ParamField>

<ParamField body="iban" type="string">
  IBAN (max 34 characters)
</ParamField>

<ParamField body="swift_code" type="string">
  SWIFT/BIC code (max 11 characters)
</ParamField>

### Crypto Wallet Fields

<ParamField body="wallet_address" type="string">
  Blockchain wallet address
</ParamField>

<ParamField body="is_default" type="boolean" default="false">
  Set as default destination for this beneficiary
</ParamField>

## Response

<ResponseField name="id" type="string">
  Payout destination identifier (starts with `dest_`)
</ResponseField>

<ResponseField name="object" type="string">
  Always returns `"payout_destination"`
</ResponseField>

<ResponseField name="beneficiary_id" type="string">
  Parent beneficiary external ID
</ResponseField>

<ResponseField name="country" type="string">
  Payout country
</ResponseField>

<ResponseField name="payout_method" type="string">
  Payout method (e.g., ach, wire, spei)
</ResponseField>

<ResponseField name="type" type="string">
  Destination type
</ResponseField>

<ResponseField name="label" type="string">
  Destination label
</ResponseField>

<ResponseField name="currency" type="string">
  Currency
</ResponseField>

<ResponseField name="network" type="string">
  Blockchain network (for crypto only)
</ResponseField>

<ResponseField name="status" type="string">
  Destination status: `active`, `disabled`, or `inactive`
</ResponseField>

<ResponseField name="account_number_last4" type="string">
  Last 4 digits of account number (masked for security)
</ResponseField>

<ResponseField name="routing_number" type="string">
  Bank routing number
</ResponseField>

<ResponseField name="account_type" type="string">
  Account type
</ResponseField>

<ResponseField name="clabe_last4" type="string">
  Last 4 digits of CLABE (Mexico SPEI)
</ResponseField>

<ResponseField name="iban_masked" type="string">
  Masked IBAN
</ResponseField>

<ResponseField name="swift_code" type="string">
  SWIFT/BIC code
</ResponseField>

<ResponseField name="wallet_address_masked" type="string">
  Masked wallet address
</ResponseField>

<ResponseField name="is_default" type="boolean">
  Whether this is the default destination
</ResponseField>

<ResponseField name="created" type="string">
  ISO 8601 timestamp when created
</ResponseField>

<ResponseField name="updated" type="string">
  ISO 8601 timestamp when last updated
</ResponseField>

## Response Example

```json theme={null}
{
  "id": "dest_1234567890abcdef",
  "object": "payout_destination",
  "beneficiary_id": "bene_9gt1ummgx127biovlurm9mq2",
  "country": "US",
  "payout_method": "ach",
  "type": "bank_account",
  "label": null,
  "currency": "USD",
  "network": null,
  "status": "active",
  "account_number_last4": "7890",
  "routing_number": "021000021",
  "account_type": "checking",
  "is_default": true,
  "created": "2024-01-15T10:00:00Z",
  "updated": "2024-01-15T10:00:00Z"
}
```
